Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Pat Riehecky <riehecky-13hema8v3vg <at> public.gmane.org>
Subject: Security ERRATA Moderate: gc on SL6.x i386/x86_64
Newsgroups: gmane.linux.scientific.errata
Date: Monday 4th November 2013 19:13:49 UTC (over 2 years ago)
Synopsis:          Moderate: gc security update
Advisory ID:       SLSA-2013:1500-1
Issue Date:        2013-11-04
CVE Numbers:       CVE-2012-2673
--

It was discovered that gc's implementation of the malloc() and calloc()
routines did not properly perform parameter sanitization when allocating
memory. If an application using gc did not implement application-level
validity checks for the malloc() and calloc() routines, a remote attacker
could provide specially crafted application-specific input, which, when
processed by the application, could lead to an application crash or,
potentially, arbitrary code execution with the privileges of the user
running the application. (CVE-2012-2673)

Applications using gc must be restarted for the update to take effect.
--

SL6
  x86_64
    gc-7.1-12.el6_4.x86_64.rpm
    gc-debuginfo-7.1-12.el6_4.x86_64.rpm
    gc-7.1-12.el6_4.i686.rpm
    gc-debuginfo-7.1-12.el6_4.i686.rpm
    gc-devel-7.1-12.el6_4.i686.rpm
    gc-devel-7.1-12.el6_4.x86_64.rpm
  i386
    gc-7.1-12.el6_4.i686.rpm
    gc-debuginfo-7.1-12.el6_4.i686.rpm
    gc-devel-7.1-12.el6_4.i686.rpm

- Scientific Linux Development Team
 
CD: 3ms